<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Style Change Panel
| Type: Panel
| File: styles_change_panel.php
| Version: 1.0
| Author and Developer: Arthur Smirnov (MeTRoiD)
| Site: http://phpfusiontutorials.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }


// Photos
if (FUSION_SELF == 'photogallery.php' && file_exists("".INFUSIONS."styles_change_panel/styles/photogallery/styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/photogallery/styles.css' type='text/css' media='screen' />\n");
}
if (FUSION_SELF == 'photogallery.php' && isset($_GET['album_id']) && isnum($_GET['album_id']) && file_exists("".INFUSIONS."styles_change_panel/styles/photogallery/album_".$_GET['album_id']."_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/photogallery/album_".$_GET['album_id']."_styles.css' type='text/css' media='screen' />\n");
}
if (FUSION_SELF == 'photogallery.php' && isset($_GET['photo_id']) && isnum($_GET['photo_id']) && file_exists("".INFUSIONS."styles_change_panel/styles/photogallery/photo_".$_GET['photo_id']."_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/photogallery/photo_".$_GET['photo_id']."_styles.css' type='text/css' media='screen' />\n");
}


// Articles
if (FUSION_SELF == 'articles.php' && file_exists("".INFUSIONS."styles_change_panel/styles/articles/styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/articles/styles.css' type='text/css' media='screen' />\n");
}
if (FUSION_SELF == 'articles.php' && isset($_GET['article_id']) && isnum($_GET['article_id']) && file_exists("".INFUSIONS."styles_change_panel/styles/articles/article_".$_GET['article_id']."_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/articles/article_".$_GET['article_id']."_styles.css' type='text/css' media='screen' />\n");
}
if (FUSION_SELF == 'articles.php' && isset($_GET['cat_id']) && isnum($_GET['cat_id']) && file_exists("".INFUSIONS."styles_change_panel/styles/articles/cat_".$_GET['cat_id']."_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/articles/cat_".$_GET['cat_id']."_styles.css' type='text/css' media='screen' />\n");
}


// News
if (FUSION_SELF == 'news.php' && file_exists("".INFUSIONS."styles_change_panel/styles/news/styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/news/styles.css' type='text/css' media='screen' />\n");
}
if (FUSION_SELF == 'news.php' && isset($_GET['readmore']) && isnum($_GET['readmore']) && file_exists("".INFUSIONS."styles_change_panel/styles/news/news_".$_GET['readmore']."_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/news/news_".$_GET['readmore']."_styles.css' type='text/css' media='screen' />\n");
}


// News cats
if (FUSION_SELF == 'news_cats.php' && file_exists("".INFUSIONS."styles_change_panel/styles/news_cats/styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/news_cats/styles.css' type='text/css' media='screen' />\n");
}
if (FUSION_SELF == 'news_cats.php' && isset($_GET['cat_id']) && isnum($_GET['cat_id']) && file_exists("".INFUSIONS."styles_change_panel/styles/news_cats/cat_".$_GET['cat_id']."_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/news_cats/cat_".$_GET['cat_id']."_styles.css' type='text/css' media='screen' />\n");
}


// Weblinks
if (FUSION_SELF == 'weblinks.php' && file_exists("".INFUSIONS."styles_change_panel/styles/weblinks/styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/weblinks/styles.css' type='text/css' media='screen' />\n");
}
if (FUSION_SELF == 'weblinks.php' && isset($_GET['cat_id']) && isnum($_GET['cat_id']) && file_exists("".INFUSIONS."styles_change_panel/styles/weblinks/cat_".$_GET['cat_id']."_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/weblinks/cat_".$_GET['cat_id']."_styles.css' type='text/css' media='screen' />\n");
}


// Downloads
if (FUSION_SELF == 'downloads.php' && file_exists("".INFUSIONS."styles_change_panel/styles/downloads/styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/downloads/styles.css' type='text/css' media='screen' />\n");
}
if (FUSION_SELF == 'downloads.php' && isset($_GET['cat_id']) && isnum($_GET['cat_id']) && file_exists("".INFUSIONS."styles_change_panel/styles/downloads/cat_".$_GET['cat_id']."_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/downloads/cat_".$_GET['cat_id']."_styles.css' type='text/css' media='screen' />\n");
}
if (FUSION_SELF == 'downloads.php' && isset($_GET['download_id']) && isnum($_GET['download_id']) && file_exists("".INFUSIONS."styles_change_panel/styles/downloads/download_".$_GET['download_id']."_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/downloads/download_".$_GET['download_id']."_styles.css' type='text/css' media='screen' />\n");
}


// FAQ
if (FUSION_SELF == 'faq.php' && file_exists("".INFUSIONS."styles_change_panel/styles/faq/styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/faq/styles.css' type='text/css' media='screen' />\n");
}
if (FUSION_SELF == 'faq.php' && isset($_GET['cat_id']) && isnum($_GET['cat_id']) && file_exists("".INFUSIONS."styles_change_panel/styles/faq/cat_".$_GET['cat_id']."_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/faq/cat_".$_GET['cat_id']."_styles.css' type='text/css' media='screen' />\n");
}


// Contact
if (FUSION_SELF == 'contact.php' && file_exists("".INFUSIONS."styles_change_panel/styles/contact_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/contact_styles.css' type='text/css' media='screen' />\n");
}


// Register
if (FUSION_SELF == 'register.php' && file_exists("".INFUSIONS."styles_change_panel/styles/register_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/register_styles.css' type='text/css' media='screen' />\n");
}


// Edit profile
if (FUSION_SELF == 'edit_profile.php' && file_exists("".INFUSIONS."styles_change_panel/styles/edit_profile_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/edit_profile_styles.css' type='text/css' media='screen' />\n");
}


// Login
if (FUSION_SELF == 'login.php' && file_exists("".INFUSIONS."styles_change_panel/styles/login_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/login_styles.css' type='text/css' media='screen' />\n");
}


// Lostpassword
if (FUSION_SELF == 'lostpassword.php' && file_exists("".INFUSIONS."styles_change_panel/styles/lostpassword_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/lostpassword_styles.css' type='text/css' media='screen' />\n");
}


// Members
if (FUSION_SELF == 'members.php' && file_exists("".INFUSIONS."styles_change_panel/styles/members_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/members_styles.css' type='text/css' media='screen' />\n");
}


// Messages
if (FUSION_SELF == 'messages.php' && file_exists("".INFUSIONS."styles_change_panel/styles/messages_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/messages_styles.css' type='text/css' media='screen' />\n");
}


// Search
if (FUSION_SELF == 'search.php' && file_exists("".INFUSIONS."styles_change_panel/styles/search_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/search_styles.css' type='text/css' media='screen' />\n");
}


// Profile
if (FUSION_SELF == 'profile.php' && isset($_GET['lookup']) && isnum($_GET['lookup']) && file_exists("".INFUSIONS."styles_change_panel/styles/profile/profile_".$_GET['lookup']."_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/profile/profile_".$_GET['lookup']."_styles.css' type='text/css' media='screen' />\n");
}


// Viewpage
if (FUSION_SELF == 'viewpage.php' && isset($_GET['page_id']) && isnum($_GET['page_id']) && file_exists("".INFUSIONS."styles_change_panel/styles/viewpage/viewpage_".$_GET['page_id']."_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/viewpage/viewpage_".$_GET['page_id']."_styles.css' type='text/css' media='screen' />\n");
}


// Submit
if (FUSION_SELF == 'submit.php' && isset($_GET['stype']) && $_GET['stype'] == 'l' && file_exists("".INFUSIONS."styles_change_panel/styles/submit/link_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/submit/link_styles.css' type='text/css' media='screen' />\n");
}
if (FUSION_SELF == 'submit.php' && isset($_GET['stype']) && $_GET['stype'] == 'n' && file_exists("".INFUSIONS."styles_change_panel/styles/submit/news_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/submit/news_styles.css' type='text/css' media='screen' />\n");
}
if (FUSION_SELF == 'submit.php' && isset($_GET['stype']) && $_GET['stype'] == 'a' && file_exists("".INFUSIONS."styles_change_panel/styles/submit/article_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/submit/article_styles.css' type='text/css' media='screen' />\n");
}
if (FUSION_SELF == 'submit.php' && isset($_GET['stype']) && $_GET['stype'] == 'p' && file_exists("".INFUSIONS."styles_change_panel/styles/submit/photo_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/submit/photo_styles.css' type='text/css' media='screen' />\n");
}
if (FUSION_SELF == 'submit.php' && isset($_GET['stype']) && $_GET['stype'] == 'd' && file_exists("".INFUSIONS."styles_change_panel/styles/submit/downloads_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/submit/downloads_styles.css' type='text/css' media='screen' />\n");
}


// Forums
// with index.php could be problems.
if (FUSION_SELF == 'index.php' && file_exists("".INFUSIONS."styles_change_panel/styles/forum/styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/forum/styles.css' type='text/css' media='screen' />\n");
}
if (FUSION_SELF == 'viewforum.php' && isset($_GET['forum_id']) && isnum($_GET['forum_id']) && file_exists("".INFUSIONS."styles_change_panel/styles/forum/forum_".$_GET['forum_id']."_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/forum/forum_".$_GET['forum_id']."_styles.css' type='text/css' media='screen' />\n");
}
if (FUSION_SELF == 'viewthread.php' && isset($_GET['thread_id']) && isnum($_GET['thread_id']) && file_exists("".INFUSIONS."styles_change_panel/styles/forum/thread_".$_GET['thread_id']."_styles.css"))
{
add_to_head("<link rel='stylesheet' href='".INFUSIONS."styles_change_panel/styles/forum/thread_".$_GET['thread_id']."_styles.css' type='text/css' media='screen' />\n");
}


?>